# Balance File Format

## Example Format

Balance file format uses a comma separated value where you specify a discord username and a balance

```
discord_user_1,100
discord_user_2,0
discord_user_3,10
```

In this example we set balances on 3 users:

1. A user with the username `discord_user_1` set to a balance of 100 coins.
2. A user with the username `discord_user_2` set to a balance of 0 coins.
3. A user with the username `discord_user_3` set to a balance of 10 coins.

## Balance CSV Specification

User names can be specified as unique Discord names with or without a discriminator, or a Discord id as a number. When importing the file into balances, any names or ids not found will not be imported, and will generate a warning.  Any names not specified in the file will not have their balances changed (if they already have balances in the realm).&#x20;

Balances must be specified as number without a comma ",". Including commas in your numbers like "1,000" will cause issues with final balances.

| Column Name     | Function                                    | Column Type            | Required | Default |
| --------------- | ------------------------------------------- | ---------------------- | -------- | ------- |
| Discord Account | The account whos balance you want to update | Discord username or ID | True     | N/A     |
| New Balance     | The balance you want to set to              | Decimal number         | True     | N/A     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.makerealms.com/explore-features/import-files/balance-file-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
